Subject: Re: MontaVista 2.6 Kernel support for Xilinx ML40x

From: Frank D Lombardo <[email-masked]>
Date: Thu, 24 Aug 2006 15:27:24 -0400

The ml403 reference design has several evaluation cores: opb_uart16550, 
opb_iic and opb_ethernet.  They seem to time-out after about eight hours.

Frank

Wade Maxfield wrote:
> Good question.  How long before lockup?  The only core that should be 
> licensed is the ethernet, and I know it was sysgened on a system with 
> a license.  This is the Xilinx reference design for the ml403 board.
>
>
> On 8/24/06, *Peter Ryser* <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Wade,
>
>     are you sure that you did not build your hardware with evaluation
>     cores of the licenses? If you are using the evaluation licenses
>     the hardware (FPGA design) will stop working after a certain
>     amount of time and you will see a lock-up.
>
>     - Peter
>
>
>     Wade Maxfield wrote:
>
>       I've got the LSP, and have booted it on the ML40X.
>      
>       In my opinion it is currently unstable, but that is my opinion. 
>     I've not been able to keep it powered up for 24 hours without it
>     locking up on the RS232 serial terminal.  Also, running updatedb
>     over nfs causes it to abort with a kernel panic, although that
>     might be an interraction with the nfs server.  (Although even if
>     the nfs server dies (which it did not), I don't expect a kernel
>     panic).
>
>        I have had it run over 6 hours without issue, so I expect
>     subtle memory leaks, not serious problems.
>
>
>
>     On 8/24/06, *Claus Gindhart* < [email-masked]
>     <mailto:[email-masked]>> wrote:
>
>         Frank,
>
>         due to my understanding of the GPL (and i have already
>         invested some time
>         in understanding the various flavours of open source
>         licences), you should
>         contact Montavista, and ask them for the sources.
>
>         This board adaption is derivative work of the GPL Kernel, so
>         the result of
>         this work also falls under the GPL, and has to be made freely
>         available
>         under the terms of the GPL.
>
>         --
>         Mit freundlichen Gruessen / Best regards
>
>         Claus Gindhart
>         SW R&D
>         Kontron Modular Computers
>         phone :++49 (0)8341-803-374
>         mailto:[email-masked]
>         <mailto:[email-masked]>
>         http://www.kontron.com
>
>         -----BEGIN GEEK CODE BLOCK-----
>           Version: 3.1
>           GU d- s++:>++:+ a+ C++$ !U !P L++>$ E-- W+(-) N- o?
>           K? w !O !M V !PS PE- Y+ PGP+ t 5? X R* tv- b+ DI+++
>           D-- G e++> h--- !r x+++
>         ------END GEEK CODE BLOCK------
>
>
>         -----Original Message-----
>         From:
>         linuxppc-embedded-bounces+claus.gindhart=[email-masked]
>         <mailto:[email-masked]>
>         [mailto:
>         linuxppc-embedded-bounces+claus.gindhart=[email-masked]
>         <mailto:linuxppc-embedded-bounces+claus.gindhart=[email-masked]>]
>         On Behalf Of Frank D Lombardo
>         Sent: Donnerstag, 24. August 2006 15:59
>         To: [email-masked]
>         <mailto:[email-masked]>
>         Subject: MontaVista 2.6 Kernel support for Xilinx ML40x
>
>
>         I noticed that MontaVista now has their Pro 4.0 version (2.6
>         Kernel)
>         available for the Xilinx ML40x series of boards.  I would
>         assume that
>         means driver support for at least most of the hardware on the
>         boards.
>         Is this code that should be freely available?  How would one
>         get a copy
>         of these drivers?  I am interested in drivers for the ML403.
>
>         Thanks,
>         Frank
>         _______________________________________________
>         Linuxppc-embedded mailing list
>         [email-masked] <mailto:[email-masked]>
>         https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>         _______________________________________________
>         Linuxppc-embedded mailing list
>         [email-masked] <mailto:[email-masked]>
>         https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>         <https://ozlabs.org/mailman/listinfo/linuxppc-embedded>
>
>
>     ------------------------------------------------------------------------
>
>     _______________________________________________ Linuxppc-embedded
>     mailing list [email-masked]
>     <mailto:[email-masked]>
>     https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>
>
> ------------------------------------------------------------------------
>
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded